Subject: Re: imap without username/password (fwd)

From: Terry Gray <[email-masked]>
Date: Mon, 10 Jul 1995 13:23:59 -0700 (PDT)

fyi

-teg

---------- Forwarded message ----------
Date: Fri, 21 Apr 1995 09:24:32 +0100 (BST)
From: Mike Brudenell <[email-masked]>
To: Barry D <[email-masked]>
Cc: [email-masked]
Subject: Re: imap without username/password

[Apologies if you have already tried/done these... :-]

*  The standard way of testing such things is to try giving the
equivalent rsh command from a client machine "by hand":

	rsh serverhost /etc/rimapd

This may then give you some useful information.  In particular, something
like "access denied" implies that the server host doesn't trust your
client for the rsh mechanism.

*  For the "rsh xxx /etc/rimapd" to work the server machine must "trust"
the client.  This can be done on a per-user basis by having a suitably
set up ".rhosts" file in each users' home directory (Be *careful* when
setting these up!).  Alternatively a "global" file can be set up in the
form of "hosts.equiv".

Mike Brudenell                                               <[email-masked]>
------------------------------------------------------------------------------
The Computing Service, University of York, Heslington, York, YO1 5DD, UK
Phone: +44-(0)1904-433811  FAX: +44-(0)1904-433740

On 20 Apr 1995, Barry D wrote:

> I'm trying to install pine on a network of sun machines, and want to use
> our server machine for imap (currently we NFS mount the mail spool
> directories). However, I don't want our users to have to enter their
> username and password when they start pine. Reading the Pine Technical
> Notes (under installing imapd), it looks like I should be able to do this
> using the standard rsh mechanism.
>
> Doesn't appear to work however, since I'm always prompted for username
> and password. Although the documentation only mentions creating a link to
> rimapd, I have also changed the inetd.conf file.
>
> In all honesty, I haven't dug through the code to figure this out - kinda
> hoping someone can save me that trouble. Any suggestions?
>
> -----
> Barry D. Hassler                                    [email-masked]
> Executive Vice President,
> Principle Communications Consultant
>
> Hassler Communication Systems Technology, Inc       OFFICE: +1 513-390-7486
> 5329 Ridgewood Road West                                    (VOICE AND FAX)
> Springfield, Ohio 45503-5631
>